curl --request GET \
--url https://app.apigene.ai/api/mcp-server/list \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.apigene.ai/api/mcp-server/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.apigene.ai/api/mcp-server/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"name": "<string>",
"config": {
"url": "<string>",
"headers": {},
"oauth": {}
},
"enabled": true,
"server_type": "apigene",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": "jsmith@example.com",
"icon_url": "apigene.ai",
"api_name": "<string>",
"global_spec": true,
"tools_state": {},
"cached_tools": [
{}
],
"tools_cached_at": 123,
"tools_cache_version": 123
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Mcp Servers List
List all MCP servers for the current tenant.
Args: current_user: The current authenticated user tenant: The tenant database server_type: Optional filter by server type enabled_only: Only return enabled servers
Returns: List[MCPServer]: List of MCP servers
Raises: HTTPException(400): If input validation fails HTTPException(500): If database operation fails or other error occurs
Authorizations
JWT Authorization header using the Bearer scheme. Example: 'Authorization: Bearer {token}'
Query Parameters
Filter by server type MCP Server visibility types
apigene, public Only return enabled servers
Response
Successful Response
Unique identifier for the MCP server
Name of the MCP server
MCP server configuration
Show child attributes
Show child attributes
Whether the MCP server is enabled
Type of MCP server (public/private)
apigene, public When the MCP server was created
When the MCP server was last updated
Email of the user who created the MCP server
Icon URL of the MCP server for display
API name for APIGENE type servers
Whether this is a global spec for APIGENE type servers
State of each tool: 'enabled' or 'disabled'. If None/empty, all tools are enabled.
Show child attributes
Show child attributes
Cached tool definitions from the MCP server
Timestamp when tools were cached
Version number for cache invalidation
